/*
 * JBoss, the OpenSource J2EE webOS
 * 
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.txpropiiop.interfaces.a;

import java.rmi.RemoteException;

import javax.ejb.EJBObject;

/**
 * A SessionA.
 * 
 * @author <a href="adrian@jboss.com">Adrian Brock</a>
 * @version $Revision: 1.1 $
 */
public interface SessionA extends EJBObject
{
   void invokeSessionB() throws RemoteException;
   void testTxToNotSupported() throws RemoteException;
   void testTxToRequired() throws RemoteException;
   void testTxToSupports() throws RemoteException;
   void testTxToRequiresNew() throws RemoteException;
   void testTxToMandatory() throws RemoteException;
   void testTxToNever() throws RemoteException;
   void testNoTxToNotSupported() throws RemoteException;
   void testNoTxToRequired() throws RemoteException;
   void testNoTxToSupports() throws RemoteException;
   void testNoTxToRequiresNew() throws RemoteException;
   void testNoTxToMandatory() throws RemoteException;
   void testNoTxToNever() throws RemoteException;
}
